Package co.aikar.timings

# Class FullServerTickHandler

java.lang.Object
co.aikar.timings.FullServerTickHandler

All Implemented Interfaces:
  `Timing`, `AutoCloseable`

public class FullServerTickHandler extends Object

## Method Summary

Modifier and Type
Method
Description
`final void`
`abort()`
`void`
`close()`
This is simply for the Closeable interface so it can be used with try-with-resources ()
`boolean`
`equals(Object o)`
`@NotNull co.aikar.timings.TimingHandler`
`getTimingHandler()`
Used internally to get the actual backing Handler in the case of delegated Handlers
`int`
`hashCode()`
`boolean`
`isEnabled()`
`boolean`
`isSpecial()`
`@NotNull Timing`
`startTiming()`
Starts timing the execution until `Timing.stopTiming()` is called.
`@NotNull Timing`
`startTimingIfSync()`
Starts timing the execution until `Timing.stopTiming()` is called.
`void`
`stopTiming()`
Stops timing and records the data.
`void`
`stopTimingIfSync()`
Stops timing and records the data.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### startTiming

@NotNull public @NotNull Timing startTiming()
Description copied from interface: `Timing`
Starts timing the execution until `Timing.stopTiming()` is called.

Specified by:
  `startTiming` in interface `Timing`
Returns:
  Timing

### stopTiming

public void stopTiming()
Description copied from interface: `Timing`

Stops timing and records the data. Propagates the data up to group handlers.

Will automatically be called when this Timing is used with try-with-resources

Specified by:
  `stopTiming` in interface `Timing`

### startTimingIfSync

@NotNull public @NotNull Timing startTimingIfSync()
Description copied from interface: `Timing`
Starts timing the execution until `Timing.stopTiming()` is called. But only if we are on the primary thread.

Specified by:
  `startTimingIfSync` in interface `Timing`
Returns:
  Timing

### stopTimingIfSync

public void stopTimingIfSync()
Description copied from interface: `Timing`

Stops timing and records the data. Propagates the data up to group handlers.

Will automatically be called when this Timing is used with try-with-resources

But only if we are on the primary thread.

Specified by:
  `stopTimingIfSync` in interface `Timing`

### abort

public final void abort()

Specified by:
  `abort` in interface `Timing`

### getTimingHandler

@NotNull public @NotNull co.aikar.timings.TimingHandler getTimingHandler()
Description copied from interface: `Timing`
Used internally to get the actual backing Handler in the case of delegated Handlers

Specified by:
  `getTimingHandler` in interface `Timing`
Returns:
  TimingHandler

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### close

public void close()
This is simply for the Closeable interface so it can be used with try-with-resources ()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Timing`

### isSpecial

public boolean isSpecial()

### isEnabled

public boolean isEnabled()